Subject: Re: [GSoC] Exploring Previous year Projects

From: Jakub Narebski <[email-masked]>
Date: Wed, 29 Jan 2020 20:15:18 +0100

Shourya Shukla <[email-masked]> writes:

> Hello,
>
> I was looking at the previous year projects[1] and a project intrigued me, namely:
> "Convert scripts to builtins".
>
> Following from Christian's advice[2], I have decided to focus on my project proposal.
> I noticed that various commands such as "git bisect", "git web--browse"(it particularly
> interests me) are still in their "shell" form and will be needed to be converted into
> their "C" form as per the project description.
[...]
> [1]: https://git.github.io/SoC-2019-Ideas/
> [2]: https://lore.kernel.org/git/CAP8UFD2Fo=[email-masked]/

As far as I know, "git bisect" is currently being converted from shell
to C by Miriam Rubio for Outreachy project [3], so I am not sure if it
would be feasible as GSoC 2020 project.

I'm not sure if it would be possible and if it would make sense to
convert "git instaweb" and/or it's helper script "git web--browse" from
shell to C.

I think trying to convert either "git stash" or "git submodule" to C
would make more sense.

[3]: https://public-inbox.org/git/[email-masked]/t/#u

Best,
-- 
Jakub Narębski